class Piece:
    def __init__(self, id, type, color, pos, image):
        self.id = id
        self.type = type
        self.color = color
        self.pos = pos
        self.image = image
        self.has_moved = False

    def clone(self):
        new_piece = Piece(self.id, self.type, self.color, self.pos, self.image)
        new_piece.has_moved = self.has_moved
        return new_piece

    def draw(self, canvas, square_size, left_offset=0, player_color="white"):
        if self.image:
            col, row = self.pos
            if player_color == "black":
                col = 7 - col
                row = 7 - row
            image_rect = self.image.get_rect()
            offset_x = (square_size - image_rect.width) // 2
            offset_y = (square_size - image_rect.height) // 2
            x = left_offset + col * square_size + offset_x
            y = row * square_size + offset_y
            canvas.blit(self.image, (x, y))

def get_piece_at(pos, pieces_list):
    for piece in pieces_list:
        if piece.pos == pos:
            return piece
    return None
