#piece.py
import pygame
from utils import is_inside

class Piece:
    def __init__(self, id, type, color, pos, image):
        self.id = id
        self.type = type  # np. "pawn", "rook", "knight", "bishop", "queen", "king"
        self.color = color  # "white" lub "black"
        self.pos = pos      # (kolumna, wiersz)
        self.image = image
        self.has_moved = False

    def clone(self):
        new_piece = Piece(self.id, self.type, self.color, self.pos, self.image)
        new_piece.has_moved = self.has_moved
        return new_piece

    def draw(self, canvas, square_size, left_offset=0):
        if self.image:
            # Pobierz rozmiar obrazka i oblicz offset, by figura była wyśrodkowana w polu
            image_rect = self.image.get_rect()
            offset_x = (square_size - image_rect.width) // 2
            offset_y = (square_size - image_rect.height) // 2
            # Pozycja figury: kolumna * rozmiar pola + offset (tu nie mamy lewego paska – plansza zaczyna się w (0,0))
            x = left_offset + self.pos[0] * square_size + offset_x
            y = self.pos[1] * square_size + offset_y
            canvas.blit(self.image, (x, y))

def get_piece_at(pos, pieces_list):
    for piece in pieces_list:
        if piece.pos == pos:
            return piece
    return None
