import os
import sys
def resource_path(relative_path):
    try:
        # PyInstaller creates a temp folder and stores path in _MEIPASS
        base_path = sys._MEIPASS
    except AttributeError:
        # Use current directory when running from source
        base_path = os.path.abspath(".")
    return os.path.join(base_path, relative_path)


# COLORS

WHITE = (255, 255, 255)
BLACK = (0, 0, 0)
BLACK2 = (50, 50, 50)
GRAY = (200, 200, 200)
LIGHT_GRAY = (140, 140, 140)
DARK_GRAY = (80, 80, 80)
BLUE = (100, 149, 237)
GREEN = (0, 255, 0)
HOVER_COLOR = BLACK2


# FONTS

fontPath="assets/fonts/"

MONTSERRAT_BLACK = resource_path(fontPath + "Montserrat-Black.ttf")
MONTSERRAT_BLACK_ITALIC = resource_path(fontPath + "Montserrat-BlackItalic.ttf")
MONTSERRAT_BOLD = resource_path(fontPath + "Montserrat-Bold.ttf")
MONTSERRAT_BOLD_ITALIC = resource_path(fontPath + "Montserrat-BoldItalic.ttf")
MONTSERRAT_EXTRA_BOLD = resource_path(fontPath + "Montserrat-ExtraBold.ttf")
MONTSERRAT_EXTRA_BOLD_ITALIC = resource_path(fontPath + "Montserrat-ExtraBoldItalic.ttf")
MONTSERRAT_EXTRA_LIGHT = resource_path(fontPath + "Montserrat-ExtraLight.ttf")
MONTSERRAT_EXTRA_LIGHT_ITALIC = resource_path(fontPath + "Montserrat-ExtraLightItalic.ttf")
MONTSERRAT_ITALIC = resource_path(fontPath + "Montserrat-Italic.ttf")
MONTSERRAT_LIGHT = resource_path(fontPath + "Montserrat-Light.ttf")
MONTSERRAT_LIGHT_ITALIC = resource_path(fontPath + "Montserrat-LightItalic.ttf")
MONTSERRAT_MEDIUM = resource_path(fontPath + "Montserrat-Medium.ttf")
MONTSERRAT_MEDIUM_ITALIC = resource_path(fontPath + "Montserrat-MediumItalic.ttf")
MONTSERRAT_REGULAR = resource_path(fontPath + "Montserrat-Regular.ttf")
MONTSERRAT_SEMI_BOLD = resource_path(fontPath + "Montserrat-SemiBold.ttf")
MONTSERRAT_SEMI_BOLD_ITALIC = resource_path(fontPath + "Montserrat-SemiBoldItalic.ttf")
MONTSERRAT_THIN = resource_path(fontPath + "Montserrat-Thin.ttf")
MONTSERRAT_THIN_ITALIC = resource_path(fontPath + "Montserrat-ThinItalic.ttf")