package main

const (
	EventTypeColorAssignment = "color_assignment"
	EventTypeMove            = "move"
	EventTypeDrawRequest     = "draw_request"
	EventTypeDrawResponse    = "draw_response"
	EventTypeUndoRequest     = "undo_request"
	EventTypeUndoResponse    = "undo_response"
	EventTypeGameState       = "game_state"
	EventTypeGameOver        = "game_over"
	EventTypeError           = "error"
	EventTypeStart           = "start"
	EventTypeSurrender       = "surrender"
	EventTypeTimeUpdate      = "time_update"
)

type EventTimeUpdate struct {
	WhiteTime float64 `json:"white_time"`
	BlackTime float64 `json:"black_time"`
}

// DrawRequest represents the structure of a draw request message.
type EventDrawRequest struct {
	Accept bool `json:"accept"`
}

// UndoRequest represents the structure of an undo request message.
type EventUndoRequest struct {
	Accept bool `json:"accept"`
}

// Move represents the structure of a move message.
type EventMove struct {
	Move string `json:"move"`
	Orig string `json:"orig"`
	Dest string `json:"dest"`
}

// ColorAssignment represents the structure of a color assignment message.
type EventColorAssignment struct {
	PlayerColor string `json:"player_color"`
}

// GameOver represents the structure of a game over message.
type EventGameOver struct {
	Reason string `json:"reason"`
}

// Error represents the structure of an error message.
type EventError struct {
	Message string `json:"message"`
}
